package org.springblade.estate.feign;

import org.springblade.estate.entity.ParkingLot;
import org.springblade.estate.vo.ParkingLotVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ParkingLotClientFallback implements IParkingLotClient {
            /**
         * 详情
         */
        @Override
        public ParkingLotVO detail(ParkingLot parkingLot) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<ParkingLotVO> list(ParkingLot parkingLot) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( ParkingLot parkingLot) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( ParkingLot parkingLot) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( ParkingLot parkingLot) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
